edu.sc.seis.sod.source.seismogram

## Class DataCenterSource

- java.lang.Object
- - edu.sc.seis.sod.source.seismogram.DataCenterSource

- All Implemented Interfaces:
    SodElement, SeismogramSource

      public class DataCenterSource
      extends java.lang.Object
      implements SeismogramSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATA_RETRIEVED`
    `static java.lang.String` | `NO_DATA`
    `static java.lang.String` | `RETRIEVING_DATA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataCenterSource(edu.sc.seis.fissuresUtil.cache.ProxySeismogramDC seisDC)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter>` | `availableData(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> request)`
    `edu.sc.seis.fissuresUtil.cache.ProxySeismogramDC` | `getDataCenter()`
    `java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl>` | `retrieveData(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> request)`
    `static edu.iris.Fissures.IfSeismogramDC.RequestFilter[]` | `toArray(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> in)`
    `static java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter>` | `toList(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] in)`
    `static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[]` | `toSeisArray(java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl> data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RETRIEVING_DATA

          public static final java.lang.String RETRIEVING_DATA

      See Also:
        Constant Field Values

    - #### DATA_RETRIEVED

          public static final java.lang.String DATA_RETRIEVED

      See Also:
        Constant Field Values

    - #### NO_DATA

          public static final java.lang.String NO_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataCenterSource

          public DataCenterSource(edu.sc.seis.fissuresUtil.cache.ProxySeismogramDC seisDC)

  - ### Method Detail

    - #### availableData

          public java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> availableData(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> request)

      Specified by:
        `availableData` in interface `SeismogramSource`

    - #### retrieveData

          public java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl> retrieveData(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> request)
                                                                                          throws SeismogramSourceException

      Specified by:
        `retrieveData` in interface `SeismogramSource`
      Throws:
        `SeismogramSourceException`

    - #### getDataCenter

          public edu.sc.seis.fissuresUtil.cache.ProxySeismogramDC getDataCenter()

    - #### toList

          public static java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> toList(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] in)

    - #### toArray

          public static edu.iris.Fissures.IfSeismogramDC.RequestFilter[] toArray(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> in)

    - #### toSeisArray

          public static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] toSeisArray(java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl> data)